<?php

namespace App\Http\Controllers;

use App\Models\CelebrityDiscountRecord;
use Illuminate\Http\Request;

class CelebrityDiscountRecordController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }
   
    public function show($discount_code)
    {
       return view('celebrity-records', [
            'records' => \DB::table('celebrity_discount_records')->where('discount_code', $discount_code)->get(),
            'discount_code' => $discount_code
        ]);
    }

}
